angular.module('admin')
.controller('SellerListController', function($scope, $http, $route, $window){
  $scope.seller = {};
  $scope.mensagem = '';
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestSeller();
  };

  $scope.requestSeller = function(){
    $http.get('../../api/cvto/sellers')
    .success(function(seller){
      $scope.seller = seller;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível listar os seus sellers';
    });
  };
})
.controller('SellerOrdersController', function($scope, $http, $route, $window){
  $scope.seller = {};
  $scope.mensagem = '';
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestOrderSeller();
  };

  $scope.requestOrderSeller = function(){
    $http.get('../../api/cvto/orders')
    .success(function(seller){
      $scope.seller = seller;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível listar os seus sellers';
    });
  };

});
